Name:           aws-c-event-stream
Version:        0.4.2
Release:        1%{?dist}
Summary:        C99 implementation of the vnd.amazon.eventstream content-type

License:        Apache-2.0
URL:            https://github.com/awslabs/%{name}
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:         aws-c-event-stream-cmake.patch

BuildRequires:  gcc
BuildRequires:  cmake
BuildRequires:  openssl-devel
BuildRequires:  aws-c-common-devel
BuildRequires:  aws-checksums-devel
BuildRequires:  aws-c-io-devel

Requires:       openssl-libs
Requires:       aws-c-common-libs
Requires:       aws-checksums-libs
Requires:       aws-c-io-libs

%description
C99 implementation of the vnd.amazon.eventstream content-type


%package libs
Summary:        C99 implementation of the vnd.amazon.eventstream content-type
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description libs
C99 implementation of the vnd.amazon.eventstream content-type


%package devel
Summary:        C99 implementation of the vnd.amazon.eventstream content-type
Requires:       openssl-devel
Requires:       aws-c-common-devel
Requires:       aws-checksums-devel
Requires:       aws-c-io-devel
Requires:       %{name}-libs%{?_isa} = %{version}-%{release}

%description devel
C99 implementation of the vnd.amazon.eventstream content-type


%prep
%autosetup -p1


%build
%cmake -DBUILD_SHARED_LIBS=ON
%cmake_build


%install
%cmake_install


%check
%ctest


%files
%license LICENSE NOTICE
%doc README.md


%files libs
%{_libdir}/libaws-c-event-stream.so.1{,.*}


%files devel
%{_libdir}/libaws-c-event-stream.so
%dir %{_includedir}/aws/event-stream
%{_includedir}/aws/event-stream/*.h
%dir %{_libdir}/cmake/aws-c-event-stream
%dir %{_libdir}/cmake/aws-c-event-stream/shared
%{_libdir}/cmake/aws-c-event-stream/aws-c-event-stream-config.cmake
%{_libdir}/cmake/aws-c-event-stream/shared/aws-c-event-stream-targets-noconfig.cmake
%{_libdir}/cmake/aws-c-event-stream/shared/aws-c-event-stream-targets.cmake


%changelog
* Fri May 03 2024 Dominik Wombacher <dominik@wombacher.cc> - 0.4.2-1
- update to 0.4.2

* Wed Feb 02 2022 David Duncan <davdunc@amazon.com> - 0.2.7-2
- Prepare for package review

* Tue Jan 18 2022 Kyle Knapp <kyleknap@amazon.com> - 0.2.7-1
- Build and create package for aws-c-event-stream
